summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
commit8a2e1006b3b272126332aa064f3ad95387129544 (patch)
tree944c80ac612a65980d94a54ba11b6c7102037ecf /.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh
parentdcbb16d8b08ff5956abef5e6478b59df2e93ad35 (diff)
downloaddotfiles-master.tar.gz
dotfiles-master.tar.bz2
dotfiles-master.zip
new dot filesHEADmaster
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh
new file mode 100644
index 0000000..8fe0a85
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/copypath/copypath.plugin.zsh
@@ -0,0 +1,15 @@
+# Copies the path of given directory or file to the system or X Windows clipboard.
+# Copy current directory if no parameter.
+function copypath {
+ # If no argument passed, use current directory
+ local file="${1:-.}"
+
+ # If argument is not an absolute path, prepend $PWD
+ [[ $file = /* ]] || file="$PWD/$file"
+
+ # Copy the absolute path without resolving symlinks
+ # If clipcopy fails, exit the function with an error
+ print -n "${file:a}" | clipcopy || return 1
+
+ echo ${(%):-"%B${file:a}%b copied to clipboard."}
+}